xine-lib: xine-lib-1.2.12/src/combined/wavpack_decoder.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
wavpack_decoder.c File Reference
`#include <xine/xine_internal.h>`
`#include <xine/attributes.h>`
`#include "bswap.h"`
`#include <wavpack/wavpack.h>`
`#include "wavpack_combined.h"`

## Data Structures
struct | wavpack_decoder_t

## Macros
#define | LOG_MODULE "decode_wavpack"
#define | LOG_VERBOSE

## Functions
static int32_t | xine_buffer_read_bytes (void *const this_gen, void *const data, int32_t bcount)
static uint32_t | xine_buffer_get_pos (void *const this_gen)
static int | xine_buffer_set_pos_rel (void *const this_gen, const int32_t delta, const int mode)
static int | xine_buffer_set_pos_abs (void *const this_gen, const uint32_t pos)
static int | xine_buffer_push_back_byte (void *const this_gen, const int c)
static uint32_t | xine_buffer_get_length (void *const this_gen)
static int | xine_buffer_can_seek (void *const this_gen)
static int32_t | xine_buffer_write_bytes (__attr_unused void *const id, __attr_unused void *const data, __attr_unused const int32_t bcount)
static void | wavpack_reset (audio_decoder_t *const this_gen)
static void | wavpack_discontinuity (audio_decoder_t *const this_gen)
static void | wavpack_decode_data (audio_decoder_t *const this_gen, buf_element_t *const buf)
static void | wavpack_dispose (audio_decoder_t *this_gen)
static audio_decoder_t * | open_plugin (audio_decoder_class_t *class_gen, xine_stream_t *stream)
void * | decoder_wavpack_init_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "decode_wavpack"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ decoder_wavpack_init_plugin()

void * decoder_wavpack_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and audio_decoder_class_s::open_plugin.

## ◆ open_plugin()

static audio_decoder_t * open_plugin | ( | audio_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References NULL, wavpack_decode_data(), wavpack_discontinuity(), wavpack_dispose(), and wavpack_reset().

Referenced by decoder_wavpack_init_plugin().

## ◆ wavpack_decode_data()

static void wavpack_decode_data | ( | audio_decoder_t *const | this_gen,
|  | buf_element_t *const | buf
| ) |  |
| static

References _x_ao_channels2mode(), _x_assert, _x_meta_info_set(), AO_CAP_MODE_MONO, BUF_FLAG_FRAME_END, BUF_FLAG_STDHEADER, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, le2me_32, lprintf, audio_buffer_s::mem, audio_buffer_s::mem_size, mode(), NULL, audio_buffer_s::num_frames, wvheader_t::samples_count, buf_element_s::size, audio_buffer_s::stream, audio_buffer_s::vpts, xine_buffer_can_seek(), xine_buffer_get_length(), xine_buffer_get_pos(), xine_buffer_push_back_byte(), xine_buffer_read_bytes(), xine_buffer_set_pos_abs(), xine_buffer_set_pos_rel(), xine_buffer_write_bytes(), xine_fast_memcpy, and XINE_META_INFO_AUDIOCODEC.

Referenced by open_plugin().

## ◆ wavpack_discontinuity()

static void wavpack_discontinuity | ( | audio_decoder_t *const | this_gen | ) |
| static

References lprintf.

Referenced by open_plugin().

## ◆ wavpack_dispose()

static void wavpack_dispose | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ wavpack_reset()

static void wavpack_reset | ( | audio_decoder_t *const | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ xine_buffer_can_seek()

static int xine_buffer_can_seek | ( | void *const | this_gen | ) |
| static

Referenced by wavpack_decode_data().

## ◆ xine_buffer_get_length()

static uint32_t xine_buffer_get_length | ( | void *const | this_gen | ) |
| static

Referenced by wavpack_decode_data().

## ◆ xine_buffer_get_pos()

static uint32_t xine_buffer_get_pos | ( | void *const | this_gen | ) |
| static

Referenced by wavpack_decode_data().

## ◆ xine_buffer_push_back_byte()

static int xine_buffer_push_back_byte | ( | void *const | this_gen,
|  | const int | c
| ) |  |
| static

References xine_buffer_set_pos_rel().

Referenced by wavpack_decode_data().

## ◆ xine_buffer_read_bytes()

static int32_t xine_buffer_read_bytes | ( | void *const | this_gen,
|  | void *const | data,
|  | int32_t | bcount
| ) |  |
| static

References xine_fast_memcpy.

Referenced by wavpack_decode_data().

## ◆ xine_buffer_set_pos_abs()

static int xine_buffer_set_pos_abs | ( | void *const | this_gen,
|  | const uint32_t | pos
| ) |  |
| static

References xine_buffer_set_pos_rel().

Referenced by wavpack_decode_data().

## ◆ xine_buffer_set_pos_rel()

static int xine_buffer_set_pos_rel | ( | void *const | this_gen,
|  | const int32_t | delta,
|  | const int | mode
| ) |  |
| static

References mode().

Referenced by wavpack_decode_data(), xine_buffer_push_back_byte(), and xine_buffer_set_pos_abs().

## ◆ xine_buffer_write_bytes()

static int32_t xine_buffer_write_bytes | ( | __attr_unused void *const | id,
|  | __attr_unused void *const | data,
|  | __attr_unused const int32_t | bcount
| ) |  |
| static

References lprintf.

Referenced by wavpack_decode_data().